Bug 75228 - Web Inspector: Introduce a Profiler launcher view similar to that in the Audits panel
Summary: Web Inspector: Introduce a Profiler launcher view similar to that in the Audi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexander Pavlov (apavlov)
URL:
Keywords:
Depends on:
Blocks: 74004
  Show dependency treegraph
 
Reported: 2011-12-26 07:32 PST by Alexander Pavlov (apavlov)
Modified: 2011-12-28 07:25 PST (History)
10 users (show)

See Also:


Attachments
Patch (35.31 KB, patch)
2011-12-27 09:32 PST, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
Patch (46.85 KB, patch)
2011-12-28 05:20 PST, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
Patch (46.13 KB, patch)
2011-12-28 06:40 PST, Alexander Pavlov (apavlov)
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pavlov (apavlov) 2011-12-26 07:32:13 PST
The current approach does not scale w.r.t. the number of different profile types ("Record" buttons.)
Comment 1 Alexander Pavlov (apavlov) 2011-12-27 09:32:55 PST
Created attachment 120593 [details]
Patch
Comment 2 Pavel Feldman 2011-12-28 02:21:39 PST
Comment on attachment 120593 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=120593&action=review

Please remove welcome screen.

> Source/WebCore/inspector/front-end/profilesPanel.css:150
> +.profile-launcher-view-content {

Please reuse this style.
Comment 3 Alexander Pavlov (apavlov) 2011-12-28 05:20:43 PST
Created attachment 120656 [details]
Patch
Comment 4 Pavel Feldman 2011-12-28 06:01:15 PST
Comment on attachment 120656 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=120656&action=review

> Source/WebCore/inspector/front-end/ProfileLauncherView.js:87
> +            this.dispatchEventToListeners(WebInspector.ProfileLauncherView.EventTypes.ProfileTypeSelected, { profileType: profileType });

Why not to pass profileType as an event data instead?

> Source/WebCore/inspector/front-end/ProfilesPanel.js:280
> +            // Retain the profile type registration order in the tree, too.

I don't think you need this logic.

> Source/WebCore/inspector/front-end/ProfilesPanel.js:1032
> +    onattach: function()

Why do you need this override?

> Source/WebCore/inspector/front-end/ProfilesPanel.js:1049
> +        this.refreshTitles();

Where is this defined? Why doesn't it work be default?
Comment 5 Alexander Pavlov (apavlov) 2011-12-28 06:40:42 PST
Created attachment 120664 [details]
Patch
Comment 6 Alexander Pavlov (apavlov) 2011-12-28 07:25:23 PST
Committed r103765: <http://trac.webkit.org/changeset/103765>